-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local neutral = 0
local gear = 0

local function onInit()
	electrics.values['neutralPos3'] = 0
	electrics.values['gearPos3'] = 0
end

local function reset()
	onInit()
end

local function updateGFX(dt)
 local choice = electrics.values.gear
	
 if choice == -1 then neutral = -0.25 gear = 0.05 end	
	
 if choice == 0 then  neutral = 0.10  gear = 0 end
	
 if choice == 1 then  neutral = 0.35  gear = 0.15 end
 if choice == 2 then  neutral = -0.10 gear = -0.085 end
 if choice == 3 then  neutral = 0.35  gear = 0.05 end

  electrics.values['neutralPos3'] = neutral
  electrics.values['gearPos3'] = gear
end

-- public interface
M.onInit    = onInit
M.onReset   = reset
M.updateGFX = updateGFX

return M